import type { BuildOptions } from 'esbuild';
import { LambdaConfig } from './types/LambdaConfig';
export interface ClientBuildOptionsArgs {
    /**
     * Whether CSS should be injected in the bundled JavaScript
     */
    includeCss: boolean;
    /**
     * The Goldstack deployment the build is performed for.
     */
    deploymentName: string;
}
export interface ServerBuildOptionsArgs {
    /**
     * Called when CSS is generate for a React component
     */
    onCSSGenerated: (css: string) => void;
    /**
     * The Goldstack deployment the build is performed for.
     */
    deploymentName: string;
}
export declare const getOutDirForLambda: (packageRootDir: string, config: LambdaConfig) => string;
export declare const getOutFileForLambda: (packageRootDir: string, config: LambdaConfig) => string;
export declare const buildFunctions: ({ routesDir, configs, deploymentName, buildOptions, lambdaNamePrefix, routeFilter, packageRootDir, }: {
    routesDir: string;
    configs: LambdaConfig[];
    deploymentName: string;
    buildOptions: (args: ServerBuildOptionsArgs) => BuildOptions;
    lambdaNamePrefix: string;
    routeFilter?: string;
    packageRootDir: string;
}) => Promise<void>;
//# sourceMappingURL=buildFunctions.d.ts.map